"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CompilerTarget;
(function (CompilerTarget) {
    CompilerTarget["Es3"] = "es3";
    CompilerTarget["Es5"] = "es5";
    CompilerTarget["Es6"] = "es6";
    CompilerTarget["Es2015"] = "es2015";
    CompilerTarget["Es2016"] = "es2016";
    CompilerTarget["Es2017"] = "es2017";
    CompilerTarget["Es2018"] = "es2018";
    CompilerTarget["Es2019"] = "es2019";
    CompilerTarget["Es2020"] = "es2020";
    CompilerTarget["Esnext"] = "esnext";
})(CompilerTarget || (CompilerTarget = {}));
var CompilerLib;
(function (CompilerLib) {
    CompilerLib["DOM"] = "dom";
    CompilerLib["DOMIterable"] = "dom.iterable";
    CompilerLib["Es2015"] = "es2015";
    CompilerLib["Es2015Collection"] = "es2015.collection";
    CompilerLib["Es2015Core"] = "es2015.core";
    CompilerLib["Es2015Generator"] = "es2015.generator";
    CompilerLib["Es2015Iterable"] = "es2015.iterable";
    CompilerLib["Es2015Promise"] = "es2015.promise";
    CompilerLib["Es2015Proxy"] = "es2015.proxy";
    CompilerLib["Es2015Reflect"] = "es2015.reflect";
    CompilerLib["Es2015Symbol"] = "es2015.symbol";
    CompilerLib["Es2015SymbolWellknown"] = "es2015.symbol.wellknown";
    CompilerLib["Es2016"] = "es2016";
    CompilerLib["Es2016ArrayInclude"] = "es2016.array.include";
    CompilerLib["Es2017"] = "es2017";
    CompilerLib["Es2017Intl"] = "es2017.intl";
    CompilerLib["Es2017Object"] = "es2017.object";
    CompilerLib["Es2017Sharedmemory"] = "es2017.sharedmemory";
    CompilerLib["Es2017String"] = "es2017.string";
    CompilerLib["Es2017Typedarrays"] = "es2017.typedarrays";
    CompilerLib["Es2018"] = "es2018";
    CompilerLib["Es2018Asynciterable"] = "es2018.asynciterable";
    CompilerLib["Es2018Intl"] = "es2018.intl";
    CompilerLib["Es2018Promise"] = "es2018.promise";
    CompilerLib["Es2018Regexp"] = "es2018.regexp";
    CompilerLib["Es2019"] = "es2019";
    CompilerLib["Es2019Array"] = "es2019.array";
    CompilerLib["Es2019Object"] = "es2019.object";
    CompilerLib["Es2019String"] = "es2019.string";
    CompilerLib["Es2019Symbol"] = "es2019.symbol";
    CompilerLib["Es2020"] = "es2020";
    CompilerLib["Es2020String"] = "es2020.string";
    CompilerLib["Es2020SymbolWellknown"] = "es2020.symbol.wellknown";
    CompilerLib["Es5"] = "es5";
    CompilerLib["Es6"] = "es6";
    CompilerLib["Es7"] = "es7";
    CompilerLib["Esnext"] = "esnext";
    CompilerLib["EsnextArray"] = "esnext.array";
    CompilerLib["EsnextAsynciterable"] = "esnext.asynciterable";
    CompilerLib["EsnextBigint"] = "esnext.bigint";
    CompilerLib["EsnextIntl"] = "esnext.intl";
    CompilerLib["EsnextSymbol"] = "esnext.symbol";
    CompilerLib["Scripthost"] = "scripthost";
    CompilerLib["Webworker"] = "webworker";
    CompilerLib["WebworkerImportscripts"] = "webworker.importscripts";
})(CompilerLib || (CompilerLib = {}));
