"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const p = __importStar(require("path"));
/**
 * @internal
 */
function ensureAbsolutePath(path, basePath = process.cwd()) {
    return p.isAbsolute(path) ? path : p.join(basePath, path);
}
exports.ensureAbsolutePath = ensureAbsolutePath;
/**
 * @internal
 */
function relativePath(path, basePath = process.cwd()) {
    return p.relative(basePath, path);
}
exports.relativePath = relativePath;
/**
 * @internal
 */
function normalizePath(path) {
    if (!path)
        return path;
    return p.normalize(path);
}
exports.normalizePath = normalizePath;
/**
 * @internal
 */
function parentPaths(path) {
    // tslint:disable-next-line: prefer-const
    let { root, dir } = p.parse(path);
    const parents = [];
    while (dir !== root) {
        parents.push(dir);
        dir = p.dirname(dir);
    }
    return parents;
}
exports.parentPaths = parentPaths;
